This endpoint returns rates details of a loan for given date(s).
- If two or more interest rates are
activeon the same date (aka overlap), the Peach system selects the lowest rate (also called "effective rate") to accrue interest. Promo rates: - If two or more promo rates are
activeon the same date (aka overlap), the Peach system sums up the rates as "effective" promo rate.
List of period IDs to specify the requested dates.
This is an alternative to using fromDate and toDate to specify the requested dates; instead of specifying a range of dates, every date falling within all of the specified periods will be returned. Note this might result in non-consecutive dates.
Cannot be used in conjunction with fromDate or toDate.
List of period due dates to specify the requested dates.
This is an alternative to specifying the periods of concern with IDs and instead referencing them by their due dates.
This is also an alternative to using fromDate and toDate to specify the requested dates; instead of specifying a range of dates, every date falling within all of the specified periods will be returned. Note this might result in non-consecutive dates.
Cannot be used in conjunction with fromDate or toDate.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/effective-rates?fromDate=2019-08-24&toDate=2019-08-24&periodIds=string&periodDueDates=2019-08-24' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'